## mplayer-dmo 1.5.0+svn38423

=== debian/changelog ===
mplayer-dmo (4:1.5.0+svn38423-dmo2) unstable; urgency=medium

  * Rebuild with a fixed ffmpeg 6.0 source (patch is
    04_vorbis-nroken-in-mplayer.patch)

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 03 Jun 2023 15:49:33 +0200

mplayer-dmo (4:1.5.0+svn38423-dmo1) unstable; urgency=medium

  * Git snapshot.
  * Build with ffmpeg 5.1.3 ogg is broken with ffmpeg 6.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 03 Jun 2023 12:11:41 +0200

mplayer-dmo (4:1.5.0~20230303.svn38412-dmo2) unstable; urgency=medium

  * Remove not needed w32codecs from Suggests.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 03 Jun 2023 09:52:07 +0200

mplayer-dmo (4:1.5.0~20230303.svn38412-dmo1) unstable; urgency=medium

  * Git snapshot.
  * Update included ffmpeg to 6.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 03 Mar 2023 09:23:19 +0100

mplayer-dmo (4:1.5.0~20221010.svn38405-dmo1) unstable; urgency=medium

  * Git snapshot.
  * Update included ffmpeg to 5.1.2

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 10 Oct 2022 11:42:52 +0200

mplayer-dmo (4:1.5-dmo7) unstable; urgency=medium

  * Update included ffmpeg to 5.1.1

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 02 Sep 2022 10:08:45 +0200

mplayer-dmo (4:1.5-dmo6) unstable; urgency=medium

  * Update included ffmpeg to 5.1

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 25 Jul 2022 09:52:12 +0200

mplayer-dmo (4:1.5-dmo5) unstable; urgency=medium

  * Build with ffmpeg 5.0 [arm64 armel armhf]

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 23 Jun 2022 17:57:59 +0200

mplayer-dmo (4:1.5-dmo4) unstable; urgency=medium

  * Update included ffmpeg to 5.0.1

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 14 Apr 2022 08:27:36 +0200

mplayer-dmo (4:1.5-dmo3) unstable; urgency=medium

  * Build with libdav1d6

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 19 Mar 2022 11:29:05 +0100

mplayer-dmo (4:1.5-dmo2) unstable; urgency=medium

  * Update mplayer version.
  * Fix powerpc build.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 02 Mar 2022 08:05:46 +0100

mplayer-dmo (4:1.5-dmo1) unstable; urgency=medium

  * New upstream release.
  * Remove liblivemedia-dev from Build-Depends.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 28 Feb 2022 09:09:18 +0100

mplayer-dmo (4:1.4.0~20210304.svn38299-dmo7) unstable; urgency=medium

  * Update included ffmpeg to 4.4.1 fixes the following issues :
    CVE-2020-20446, CVE-2020-20453, CVE-2020-22015, CVE-2020-22019,
    CVE-2020-22021, CVE-2020-22037, CVE-2021-33815, CVE-2021-38114,
    CVE-2021-38171, CVE-2021-38291

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 29 Dec 2021 01:37:30 +0100

mplayer-dmo (4:1.4.0~20210304.svn38299-dmo6) unstable; urgency=medium

  * Build with libvpx7.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 08 Oct 2021 14:29:50 +0200

=== debian/control ===
Source: mplayer-dmo
Section: graphics
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: http://www.mplayerhq.hu/
Rules-Requires-Root: no
Standards-Version: 4.6.2
Build-Depends-Indep: xsltproc, docbook-xml, docbook-xsl
Build-Conflicts: libesd0-dev, libggiwmh0-dev, libggi2-dev, liboss4-salsa-dev, libopenjpeg-dev
Build-Depends: debhelper-compat (= 13), libncurses5-dev, awk | gawk, libopus-dev, libavutil-dev,
 liblirc-dev, libvorbis-dev, libsdl-image1.2-dev, libsctp-dev [linux-any],
 libmad0-dev, libasound2-dev [linux-any], liblzo2-dev, libfaad-dev, libdca-dev,
 libxvmc-dev, libjpeg62-turbo-dev, libaudiofile-dev, libsmbclient-dev, libfribidi-dev,
 libxv-dev, libgif-dev, libaa1-dev, quilt, vstream-client-dev (>= 1.2.1.1),
 libmp3lame-dev, libxvidcore-dev, libdv-dev, libcaca-dev, libcdio-paranoia-dev,
 liblivemedia-dev (>= 1:2013.01.15-dmo1), libfreetype-dev, libjack-jackd2-dev,
 libass-dev, libgl1-mesa-dev | libgl-dev, libopencore-amrwb-dev, libbs2b-dev,
 libxss-dev, libtheora-dev, libx264-dev (>= 3:0.146~), libglu1-mesa-dev,
 libfontconfig-dev, libaudio-dev, libmpcdec-dev, libvpx-dev (>= 1.4.0), libavformat-dev,
 libpulse-dev, libxxf86dga-dev, libjack-dev, ladspa-sdk, vstream-client-dev,
 libfaac-dev, libxinerama-dev, libtwolame-dev, libspeex-dev, libopenal-dev,
 yasm [i386 amd64 kfreebsd-i386 kfreebsd-amd64], libbluray-dev [linux-any],
 libenca-dev, liba52-0.7.4-dev, libgnutls28-dev, libegl1-mesa-dev, libilbc-dev [!powerpc],
 libdts-dev, libbz2-dev, libmng-dev, libopenjp2-7-dev, librtmp-dev, libmpg123-dev,
 libopencore-amrnb-dev, libvdpau-dev [amd64 i386], libdvdread-dev, libdvdnav-dev,
 libiso9660-dev (>= 0.83), libvorbisidec-dev, libgsm1-dev, libdav1d-dev,
 libavcodec-dev (>= 10:5~), libmpeg2-4-dev, libvdpau-dev, libswscale-dev,
 libaom-dev, libvpl-dev [amd64]

Package: mplayer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libdvdcss, mplayer-doc, pulseaudio, jackd, nvidia-vdpau-driver
Conflicts: mplayer-386, mplayer-586, mplayer-k6, mplayer-custom, libconfhelper-perl, mplayer-gui
Replaces: mplayer-386, mplayer-586, mplayer-k6, mplayer-custom, mplayer-nogui
Description: Ultimate Movie Player For Linux
 It plays most mpeg, avi and asf files, supported by many native and win32
 DLL codecs. You can watch VCD, DVD and even DivX movies too. The other
 big feature of mplayer is the wide range of supported output drivers. It
 works with X11, Xv, DGA, OpenGL, SVGAlib, fbdev, but you can use SDL (and
 this way all drivers of SDL) and some lowlevel card-specific drivers (for
 Matrox/3dfx/SiS) too! Most of them supports software or hardware scaling,
 so you can enjoy movies in fullscreen.

Package: mencoder
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libdvdcss, mplayer-doc, nvidia-vdpau-driver
Conflicts: mencoder-k6, mencoder-386, mencoder-586, mencoder-custom
Replaces: mencoder-k6, mencoder-386, mencoder-586, mencoder-custom, mplayer
Description: MPlayer's Movie Encoder
 A simple movie encoder, designed to encode MPlayer-playable movies
 (AVI/ASF/OGG/DVD/VCD/VOB/MPG/MOV/VIV/FLI/RM/NUV/NET) to other
 MPlayer-playable formats. It can encode with various codecs, like DivX4 (1
 or 2 passes), libavcodec, PCM/MP3/VBRMP3 audio. Also has stream copying and
 video resizing abilities.

Package: mplayer-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Documentation for mplayer
 This package contains the documentation Chinese, English, French, German,
 Hungarian, Italian and Polish.

=== debian/rules ===
#!/usr/bin/make -f

ifneq (,$(findstring parallel=,$(DEB_BUILD_OPTIONS)))
	NCPUS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
	NCPUS := $(shell getconf _NPROCESSORS_ONLN 2>/dev/null || echo 1)
	ifeq ($(NCPUS),-1)
		NCPUS:=1
	endif
	ifeq ($(NCPUS),0)
		NCPUS:=1
	endif
endif

# Don't remove, otherwise mplayer/mencoder doesn't build.
CFLAGS=

REVISION=1.5

DEBIAN_VERSION=\#define VERSION \"$(REVISION)\"
DEBIAN_TITLE=\#define MP_TITLE \"MPlayer $(REVISION) (C) 2000-2022 MPlayer Team\\\n\"

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

ifneq (,$(findstring marillat,$(DEB_BUILD_OPTIONS)))
	CONTROL=control.marillat
else
ifeq "$(DEB_HOST_ARCH)" "powerpc"
	CONTROL=control.powerpc
	FLAVOURS=-g4
else
	CONTROL=control.$(DEB_HOST_ARCH)
endif
endif

# Split up config options
CONFIG_DIRS=--prefix=/usr --confdir=/etc/mplayer --datadir=/usr/share/mplayer
CONFIG_MGA=--enable-xmga --enable-mga
CONFIG_3DFX=--enable-tdfxfb --enable-s3fb
#CONFIG_ZR=--enable-zr
CONFIG_CONTROL=--enable-joystick
CONFIG_AUDIO=--enable-libopencore_amrnb --enable-libopencore_amrwb \
	--disable-openal --disable-decoder=amrnb
CONFIG_XVMC=--enable-xvmc --with-xvmclib=XvMCW

CONFIG_MISC=--language=all --enable-menu \
	--enable-radio --enable-radio-capture --disable-sndio \
	--extra-libs="-ldl -lvorbisenc -lvorbis"

# Doesn't work 01/06/2012
#CONFIG_HARD=CFLAGS="$(shell dpkg-buildflags --get CFLAGS)" \
#	CPPFLAGS="$(shell dpkg-buildflags --get CPPFLAGS)" \
#	CXXFLAGS="$(shell dpkg-buildflags --get CXXFLAGS)" \
#	LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS)"

CONFIG_HARD=--extra-ldflags="$(shell dpkg-buildflags --get LDFLAGS)"

CONFIG_WIN32=--disable-win32dll

# Options common to all architectures
CONFIG_ARCH_INDEP=$(CONFIG_DIRS) $(CONFIG_MGA) $(CONFIG_CONTROL) \
	$(CONFIG_AUDIO) $(CONFIG_MISC) $(CONFIG_XVMC) --disable-png --disable-directfb

# Options common to all amd64 configurations
CONFIG_AMD64_ALL=$(CONFIG_ARCH_INDEP) $(CONFIG_3DFX) $(CONFIG_ZR)

# Options common to all i386 configurations
CONFIG_I386_ALL=$(CONFIG_ARCH_INDEP) $(CONFIG_WIN32) $(CONFIG_3DFX) $(CONFIG_ZR)

# Options common to all armel configurations
CONFIG_ARMEL_ALL=$(CONFIG_ARCH_INDEP) --disable-win32dll --disable-gui

# Options common to all armhf configurations
CONFIG_ARMHF_ALL=$(CONFIG_ARCH_INDEP) --disable-win32dll --disable-gui

# Options common to all arm64 configurations
CONFIG_ARM64_ALL=$(CONFIG_ARCH_INDEP) --disable-win32dll --disable-gui

# Options common to all mipsel configurations
CONFIG_MIPSEL_ALL=$(CONFIG_ARCH_INDEP) --disable-win32dll --disable-gui

# Options common to all powerpc configurations
CONFIG_PPC_ALL=$(CONFIG_ARCH_INDEP) --disable-gui --disable-win32dll

# Options common to all ppc64 configurations
CONFIG_PPC64_ALL=$(CONFIG_ARCH_INDEP) --disable-gui --disable-win32dll

CONFIGURE_MPLAYER=$(CONFIG_AMD64_ALL) --disable-gui --enable-runtime-cpudetection

# Doesn't work (10/07/08)
#CONFIGURE_PPC=$(CONFIG_PPC_ALL) --enable-runtime-cpudetection
CONFIGURE_PPC=$(CONFIG_PPC_ALL) --disable-altivec

CONFIGURE_G4=$(CONFIG_PPC_ALL) --enable-altivec

CONFIGURE_I386=$(CONFIG_I386_ALL) --disable-gui --enable-runtime-cpudetection --target=i586-linux

CONFIGURE_PPC64=$(CONFIG_PPC64_ALL) --disable-gui

CONFIGURE_ARMEL=$(CONFIG_ARMEL_ALL) --disable-ffmpeg_a

CONFIGURE_ARMHF=$(CONFIG_ARMHF_ALL) --disable-ffmpeg_a

CONFIGURE_ARM64=$(CONFIG_ARMHF_ALL) --disable-ffmpeg_a

CONFIGURE_MIPSEL=$(CONFIG_MIPSEL_ALL) --disable-ffmpeg_a

CONFIGURE_CUSTOM=$(CONFIG_I386_ALL)

%:
	dh $@ --with quilt

override_dh_auto_configure:
	cp debian/$(CONTROL) debian/control

	ln -s ffmpeg-6-0 ffmpeg
	-mkdir ffmpeg/ffbuild

ifneq (,$(findstring marillat,$(DEB_BUILD_OPTIONS)))
ifeq "$(DEB_HOST_ARCH)" "amd64"
	############################ amd64 ###############################

	./configure $(CONFIGURE_MPLAYER) $(CONFIG_HARD)

	echo "$(DEBIAN_VERSION)"  >> version.h
	echo "$(DEBIAN_TITLE)" >> version.h

#	exit 1

	$(MAKE) -j $(NCPUS)

	$(MAKE) install prefix=$(CURDIR)/debian/mplayer/usr \
	CONFDIR=$(CURDIR)/debian/mplayer/etc/mplayer \
	DATADIR=$(CURDIR)/debian/mplayer/usr/share/mplayer \
	LIBDIR=$(CURDIR)/debian/mplayer/usr/lib \
	MANDIR=$(CURDIR)/debian/mplayer/usr/share/man \
	BINDIR=$(CURDIR)/debian/mplayer/usr/bin

endif	# amd64
endif	# marillat

ifeq (,$(findstring marillat,$(DEB_BUILD_OPTIONS)))
ifeq "$(DEB_HOST_ARCH)" "powerpc"
	########################## generic powerpc #######################

	./configure $(CONFIGURE_PPC) $(CONFIG_HARD) 

	echo "$(DEBIAN_VERSION)"  >> version.h
	echo "$(DEBIAN_TITLE)" >> version.h

#	perl -i -pe 's,-mtune=(\w+),-mtune=powerpc,' config.mak
#	perl -i -pe 's,-mcpu=(\w+),-mcpu=powerpc,' config.mak
#	perl -i -pe 's,-maltivec,-mno-altivec,' config.mak
#	perl -i -pe 's,-mabi=altivec,-mabi=no-altivec,' config.mak

#	perl -i -pe 's,#define HAVE_ALTIVEC 1,#undef HAVE_ALTIVEC,' config.h
#	perl -i -pe 's,#define HAVE_ALTIVEC_H 1,#undef HAVE_ALTIVEC_H,' config.h
#	perl -i -pe 's,HAVE_ALTIVEC   = yes,HAVE_ALTIVEC = no,' config.mak

#	perl -i -pe 's,#define CONFIG_MOVIE_FILTER 0,#define CONFIG_MOVIE_FILTER 0\n#define HAVE_VSX 0,' config.h

	$(MAKE) -j $(NCPUS)

	$(MAKE) install prefix=$(CURDIR)/debian/mplayer/usr \
	CONFDIR=$(CURDIR)/debian/mplayer/etc/mplayer \
	DATADIR=$(CURDIR)/debian/mplayer/usr/share/mplayer \
	LIBDIR=$(CURDIR)/debian/mplayer/usr/lib \
	MANDIR=$(CURDIR)/debian/mplayer/usr/share/man \
	BINDIR=$(CURDIR)/debian/mplayer/usr/bin

	dh_installdirs -pmencoder usr/bin usr/share/man/man1

	mv debian/mplayer/usr/bin/mencoder debian/mencoder/usr/bin

	[ ! -f Makefile ] || $(MAKE) distclean

	######################## powerpc-g4  ###############################

	./configure $(CONFIGURE_G4) $(CONFIG_HARD) 

	echo "$(DEBIAN_VERSION)"  >> version.h
	echo "$(DEBIAN_TITLE)" >> version.h

#	perl -i -pe 's,-mtune=(\w+),-mtune=7450,' config.mak
#	perl -i -pe 's,-mcpu=(\w+),-mcpu=7450,' config.mak

#	perl -i -pe 's,#define CONFIG_MOVIE_FILTER 0,#define CONFIG_MOVIE_FILTER 0\n#define HAVE_VSX 0,' config.h

	$(MAKE) -j $(NCPUS)

	$(MAKE) install prefix=$(CURDIR)/debian/mplayer-g4/usr \
	CONFDIR=$(CURDIR)/debian/mplayer-g4/etc/mplayer \
	DATADIR=$(CURDIR)/debian/mplayer-g4/usr/share/mplayer \
	LIBDIR=$(CURDIR)/debian/mplayer-g4/usr/lib \
	MANDIR=$(CURDIR)/debian/mplayer-g4/usr/share/man \
	BINDIR=$(CURDIR)/debian/mplayer-g4/usr/bin

	dh_installdirs -pmencoder-g4 usr/bin usr/share/man/man1

	mv debian/mplayer-g4/usr/bin/mencoder debian/mencoder-g4/usr/bin

#	exit 1

else	# powerpc
ifeq "$(DEB_HOST_ARCH)" "ppc64"
	############################ ppc64 ###############################

	./configure $(CONFIGURE_PPC64) $(CONFIG_HARD)

	echo "$(DEBIAN_VERSION)"  >> version.h
	echo "$(DEBIAN_TITLE)" >> version.h

	perl -i -pe 's,-mtune=(\w+),-mtune=G5,' config.mak
	perl -i -pe 's,-mcpu=(\w+),-mcpu=G5 -falign-loops=16,' config.mak

	$(MAKE) -j $(NCPUS)

	$(MAKE) install prefix=$(CURDIR)/debian/mplayer/usr \
	CONFDIR=$(CURDIR)/debian/mplayer/etc/mplayer \
	DATADIR=$(CURDIR)/debian/mplayer/usr/share/mplayer \
	LIBDIR=$(CURDIR)/debian/mplayer/usr/lib \
	MANDIR=$(CURDIR)/debian/mplayer/usr/share/man \
	BINDIR=$(CURDIR)/debian/mplayer/usr/bin

else	# ppc64
ifeq "$(DEB_HOST_ARCH)" "i386"
	############################ i386 ###############################

	./configure $(CONFIGURE_I386) $(CONFIG_HARD) 

	echo "$(DEBIAN_VERSION)"  >> version.h
	echo "$(DEBIAN_TITLE)" >> version.h

	$(MAKE) -j $(NCPUS)

	$(MAKE) install prefix=$(CURDIR)/debian/mplayer/usr \
	CONFDIR=$(CURDIR)/debian/mplayer/etc/mplayer \
	DATADIR=$(CURDIR)/debian/mplayer/usr/share/mplayer \
	LIBDIR=$(CURDIR)/debian/mplayer/usr/lib \
	MANDIR=$(CURDIR)/debian/mplayer/usr/share/man \
	BINDIR=$(CURDIR)/debian/mplayer/usr/bin

	dh_installdirs -pmencoder usr/bin usr/share/man/man1

else	# i386
ifeq "$(DEB_HOST_ARCH)" "armel"
	######################### armel ############################

	./configure $(CONFIGURE_ARMEL) $(CONFIG_HARD) 

	echo "$(DEBIAN_VERSION)"  >> version.h
	echo "$(DEBIAN_TITLE)" >> version.h

	$(MAKE) -j $(NCPUS)

=== debian/watch ===
version=3

opts=dversionmangle=s/\+20140412\+svn37148// \
http://www7.mplayerhq.hu/MPlayer/releases/MPlayer-(.*)\.tar\.xz

## mplayer-dmo 1.5.0+svn38448

=== Makefile ===
# MPlayer Makefile
#
# copyright (c) 2008 Diego Biurrun
# Rewritten entirely from a set of Makefiles written by Arpi and many others.
#
# This file is part of MPlayer.
#
# MPlayer is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# MPlayer is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with MPlayer; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

include config.mak

###### variable declarations #######

# local fallbacks for missing operating system features
# the fallback for gettimeofday should actually no longet be needed
#OS_FEATURE-$(GETTIMEOFDAY)           += osdep/gettimeofday.c
OS_FEATURE-$(GLOB_WIN)               += osdep/glob-win.c
OS_FEATURE-$(MMAP)                   += osdep/mmap-os2.c
OS_FEATURE-$(SETENV)                 += osdep/setenv.c
OS_FEATURE-$(SHMEM)                  += osdep/shmem.c
OS_FEATURE-$(STRSEP)                 += osdep/strsep.c
OS_FEATURE-$(VSSCANF)                += osdep/vsscanf.c

# conditional source declarations
SRCS_AUDIO_INPUT-$(ALSA)             += stream/ai_alsa.c
SRCS_AUDIO_INPUT-$(OSS)              += stream/ai_oss.c
SRCS_COMMON-$(AUDIO_INPUT)           += $(SRCS_AUDIO_INPUT-yes)
SRCS_COMMON-$(BITMAP_FONT)           += sub/font_load.c
SRCS_COMMON-$(CDDA)                  += stream/stream_cdda.c            \
                                        stream/cdinfo.c
SRCS_COMMON-$(CDDB)                  += stream/stream_cddb.c
SRCS_COMMON-$(DVBIN)                 += stream/dvb_tune.c               \
                                        stream/stream_dvb.c
SRCS_COMMON-$(DVDNAV)                += stream/stream_dvdnav.c

SRCS_COMMON-$(DVDREAD)               += stream/stream_dvd.c             \
                                        stream/stream_dvd_common.c

SRCS_COMMON-$(FAAD)                  += libmpcodecs/ad_faad.c
SRCS_COMMON-$(FASTMEMCPY)            += libvo/aclib.c
SRCS_COMMON-$(FFMPEG)                += av_helpers.c                    \
                                        av_opts.c                       \
                                        libaf/af_lavcac3enc.c           \
                                        libaf/af_lavcresample.c         \
                                        libmpcodecs/ad_ffmpeg.c         \
                                        libmpcodecs/ad_spdif.c          \
                                        libmpcodecs/vd_ffmpeg.c         \
                                        libmpcodecs/vf_geq.c            \
                                        libmpcodecs/vf_lavc.c           \
                                        libmpcodecs/vf_lavcdeint.c      \
                                        libmpcodecs/vf_screenshot.c     \
                                        libmpdemux/demux_lavf.c         \
                                        stream/stream_ffmpeg.c          \
                                        sub/av_sub.c                    \

SRCS_COMMON-$(CONFIG_VF_LAVFI)      +=  libmpcodecs/vf_lavfi.c

# These filters use private headers and do not work with shared FFmpeg.
SRCS_COMMON-$(FFMPEG_A)              += libmpcodecs/vf_fspp.c           \
                                        libmpcodecs/vf_qp.c             \
                                        libmpcodecs/vf_spp.c            \

# needs update for missing coded_frame
#libmpcodecs/vf_uspp.c           \

SRCS_COMMON-$(FREETYPE)              += sub/font_load_ft.c
SRCS_COMMON-$(FTP)                   += stream/stream_ftp.c
SRCS_COMMON-$(GIF)                   += libmpdemux/demux_gif.c
SRCS_COMMON-$(HAVE_POSIX_SELECT)     += libmpcodecs/vf_bmovl.c
SRCS_COMMON-$(HAVE_SYS_MMAN_H)       += libaf/af_export.c osdep/mmap_anon.c
SRCS_COMMON-$(JPEG)                  += libmpcodecs/vd_ijpg.c
SRCS_COMMON-$(LADSPA)                += libaf/af_ladspa.c
SRCS_COMMON-$(LIBA52)                += libmpcodecs/ad_liba52.c
SRCS_COMMON-$(LIBASS)                += libmpcodecs/vf_ass.c            \
                                        sub/ass_mp.c                    \
                                        sub/subassconvert.c             \

SRCS_COMMON-$(LIBASS_INTERNAL)       += libass/ass.c                    \
                                        libass/ass_bitmap.c             \
                                        libass/ass_cache.c              \
                                        libass/ass_drawing.c            \
                                        libass/ass_font.c               \
                                        libass/ass_fontconfig.c         \
                                        libass/ass_library.c            \
                                        libass/ass_parse.c              \
                                        libass/ass_render.c             \
                                        libass/ass_render_api.c         \
                                        libass/ass_shaper.c             \
                                        libass/ass_strtod.c             \
                                        libass/ass_utils.c              \

SRCS_COMMON-$(LIBBLURAY)             += stream/stream_bluray.c
SRCS_COMMON-$(LIBBS2B)               += libaf/af_bs2b.c
SRCS_COMMON-$(LIBDCA)                += libmpcodecs/ad_libdca.c
SRCS_COMMON-$(LIBDV)                 += libmpcodecs/ad_libdv.c          \
                                        libmpcodecs/vd_libdv.c          \
                                        libmpdemux/demux_rawdv.c

SRCS_COMMON-$(LIBMAD)                += libmpcodecs/ad_libmad.c

SRCS_COMMON-$(LIBMPEG2)              += libmpcodecs/vd_libmpeg2.c
SRCS_LIBMPEG2-INTERNAL-$(ARCH_ALPHA) += libmpeg2/idct_alpha.c           \
                                        libmpeg2/motion_comp_alpha.c
SRCS_LIBMPEG2-INTERNAL-$(ARCH_ARM)   += libmpeg2/motion_comp_arm.c      \
                                        libmpeg2/motion_comp_arm_s.S
SRCS_LIBMPEG2-INTERNAL-$(HAVE_ALTIVEC) += libmpeg2/idct_altivec.c       \
                                        libmpeg2/motion_comp_altivec.c
SRCS_LIBMPEG2-INTERNAL-$(HAVE_MMX)   += libmpeg2/idct_mmx.c             \
                                        libmpeg2/motion_comp_mmx.c
SRCS_LIBMPEG2-INTERNAL-$(HAVE_VIS)   += libmpeg2/motion_comp_vis.c
SRCS_COMMON-$(LIBMPEG2_INTERNAL)     += libmpeg2/alloc.c                \
                                        libmpeg2/cpu_accel.c            \
                                        libmpeg2/cpu_state.c            \
                                        libmpeg2/decode.c               \
                                        libmpeg2/header.c               \
                                        libmpeg2/idct.c                 \
                                        libmpeg2/motion_comp.c          \
                                        libmpeg2/slice.c                \
                                        $(SRCS_LIBMPEG2-INTERNAL-yes)

SRCS_COMMON-$(LIBNEMESI)             += libmpdemux/demux_nemesi.c       \
                                        stream/stream_nemesi.c
SRCS_COMMON-$(LIBNUT)                += libmpdemux/demux_nut.c
SRCS_COMMON-$(LIBSMBCLIENT)          += stream/stream_smb.c
SRCS_COMMON-$(LIBTHEORA)             += libmpcodecs/vd_theora.c
SRCS_COMMON-$(LIVE555)               += libmpdemux/demux_rtp.cpp        \
                                        libmpdemux/demux_rtp_codec.cpp  \
                                        stream/stream_live555.c
SRCS_COMMON-$(MACOSX_FINDER)         += osdep/macosx_finder_args.c
SRCS_COMMON-$(MNG)                   += libmpdemux/demux_mng.c
SRCS_COMMON-$(MPG123)                += libmpcodecs/ad_mpg123.c

SRCS_COMMON-$(MUSEPACK)              += libmpcodecs/ad_mpc.c            \
                                        libmpdemux/demux_mpc.c
SRCS_COMMON-$(NATIVE_RTSP)           += stream/stream_rtsp.c            \
                                        stream/freesdp/common.c         \
                                        stream/freesdp/errorlist.c      \
                                        stream/freesdp/parser.c         \
                                        stream/librtsp/rtsp.c           \
                                        stream/librtsp/rtsp_rtp.c       \
                                        stream/librtsp/rtsp_session.c   \

SRCS_COMMON-$(NETWORKING)            += stream/stream_netstream.c       \
                                        stream/asf_mmst_streaming.c     \
                                        stream/asf_streaming.c          \
                                        stream/cookies.c                \
                                        stream/http.c                   \
                                        stream/network.c                \
                                        stream/pnm.c                    \
                                        stream/rtp.c                    \
                                        stream/udp.c                    \
                                        stream/tcp.c                    \
                                        stream/stream_rtp.c             \
                                        stream/stream_udp.c             \
                                        stream/librtsp/rtsp.c           \
                                        stream/realrtsp/asmrp.c         \
                                        stream/realrtsp/real.c          \
                                        stream/realrtsp/rmff.c          \
                                        stream/realrtsp/sdpplin.c       \
                                        stream/realrtsp/xbuffer.c       \

SRCS_COMMON-$(PNG)                   += libmpcodecs/vd_mpng.c
SRCS_COMMON-$(POSTPROC)              += libmpcodecs/vf_pp.c
SRCS_COMMON-$(PRIORITY)              += osdep/priority.c
SRCS_COMMON-$(PVR)                   += stream/stream_pvr.c
SRCS_COMMON-$(QTX_CODECS)            += libmpcodecs/ad_qtaudio.c        \
                                        libmpcodecs/vd_qtvideo.c
SRCS_COMMON-$(RADIO)                 += stream/stream_radio.c
SRCS_COMMON-$(RADIO_CAPTURE)         += stream/audio_in.c
SRCS_COMMON-$(REAL_CODECS)           += libmpcodecs/ad_realaud.c        \
                                        libmpcodecs/vd_realvid.c
SRCS_COMMON-$(SPEEX)                 += libmpcodecs/ad_speex.c
SRCS_COMMON-$(STREAM_CACHE)          += stream/cache2.c
SRCS_COMMON-$(TV)                    += stream/frequencies.c            \
                                        stream/stream_tv.c              \
                                        stream/tv.c                     \
                                        stream/tvi_dummy.c
SRCS_COMMON-$(TV_BSDBT848)           += stream/tvi_bsdbt848.c
SRCS_COMMON-$(TV_DSHOW)              += stream/tvi_dshow.c              \
                                        loader/dshow/guids.c            \
                                        loader/dshow/mediatype.c        \

SRCS_COMMON-$(TV_V4L1)               += stream/tvi_v4l.c                \
                                        stream/audio_in.c
SRCS_COMMON-$(TV_V4L2)               += stream/tvi_v4l2.c               \
                                        stream/audio_in.c
SRCS_COMMON-$(UNRAR_EXEC)            += sub/unrar_exec.c
SRCS_COMMON-$(VCD)                   += stream/stream_vcd.c
SRCS_COMMON-$(VORBIS)                += libmpcodecs/ad_libvorbis.c      \
                                        libmpdemux/demux_ogg.c
SRCS_COMMON-$(VSTREAM)               += stream/stream_vstream.c

=== debian/changelog ===
mplayer-dmo (4:1.5.0+svn38448-dmo2~bpo11+6) bullseye-backports; urgency=medium

  * Update included ffmpeg to 6.1.4

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 23 Nov 2025 09:06:01 +0100

mplayer-dmo (4:1.5.0+svn38448-dmo2~bpo11+5) bullseye-backports; urgency=medium

  * debian/copyright update year to 2025

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 15 Aug 2025 17:59:53 +0200

mplayer-dmo (4:1.5.0+svn38448-dmo2~bpo11+4) bullseye-backports; urgency=medium

  * Update included ffmpeg to 6.1.3
    Fixes following vulnerabilities: CVE-2023-49501, CVE-2023-49502,
    CVE-2023-50007, CVE-2023-50008, CVE-2023-6602, CVE-2023-6604,
    CVE-2023-6605, CVE-2024-31578, CVE-2024-31582, CVE-2024-35367,
    CVE-2024-35368, CVE-2025-0518, CVE-2025-22919

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 15 Aug 2025 08:13:45 +0200

mplayer-dmo (4:1.5.0+svn38448-dmo2~bpo11+3) oldstable-backports; urgency=medium

  * Really build with libx264-165
  * Update included ffmpeg to 6.1.2: Fixes following vulnerabilities:
    CVE-2024-7055 and CVE-2024-36617

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 20 Apr 2025 17:51:04 +0200

mplayer-dmo (4:1.5.0+svn38448-dmo2~bpo11+2) oldstable-backports; urgency=medium

  * Build with libx264-165

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 20 Apr 2025 10:21:07 +0200

mplayer-dmo (4:1.5.0+svn38448-dmo2~bpo11+1) oldstable-backports; urgency=medium

  * Build for oldstable-backports

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 27 Mar 2024 10:17:24 +0100

mplayer-dmo (4:1.5.0+svn38448-dmo2) unstable; urgency=medium

  * Rebuild for time_t

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 17 Mar 2024 09:08:13 +0100

mplayer-dmo (4:1.5.0+svn38448-dmo1) unstable; urgency=medium

  * Git snapshot.
  * Build with ffmpeg 6.1.1

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 08 Jan 2024 03:03:40 +0100

mplayer-dmo (4:1.5.0+svn38423-dmo5) unstable; urgency=medium

  * Build with ffmpeg 6.0.1

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 10 Nov 2023 08:49:20 +0100

mplayer-dmo (4:1.5.0+svn38423-dmo4) unstable; urgency=medium

  * Build with libvpx8

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 06 Oct 2023 08:26:55 +0200

mplayer-dmo (4:1.5.0+svn38423-dmo3) unstable; urgency=medium

  * Build with libdav1d7

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 04 Oct 2023 10:05:51 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Build-Depends-Indep: xsltproc, docbook-xml, docbook-xsl
 Build-Conflicts: libesd0-dev, libggiwmh0-dev, libggi2-dev, liboss4-salsa-dev, libopenjpeg-dev
 Build-Depends: debhelper-compat (= 13), libncurses5-dev, awk | gawk, libopus-dev, libavutil-dev,
- liblirc-dev, libvorbis-dev, libsdl-image1.2-dev, libsctp-dev [linux-any],
+ liblirc-dev, libvorbis-dev, libsctp-dev [linux-any], libsdl1.2-dev,
  libmad0-dev, libasound2-dev [linux-any], liblzo2-dev, libfaad-dev, libdca-dev,
  libxvmc-dev, libjpeg62-turbo-dev, libaudiofile-dev, libsmbclient-dev, libfribidi-dev,
  libxv-dev, libgif-dev, libaa1-dev, quilt, vstream-client-dev (>= 1.2.1.1),
@@ -20,20 +20,20 @@
  libfontconfig-dev, libaudio-dev, libmpcdec-dev, libvpx-dev (>= 1.4.0), libavformat-dev,
  libpulse-dev, libxxf86dga-dev, libjack-dev, ladspa-sdk, vstream-client-dev,
  libfaac-dev, libxinerama-dev, libtwolame-dev, libspeex-dev, libopenal-dev,
- yasm [i386 amd64 kfreebsd-i386 kfreebsd-amd64], libbluray-dev [linux-any],
+ nasm [i386 amd64 kfreebsd-i386 kfreebsd-amd64], libbluray-dev [linux-any],
  libenca-dev, liba52-0.7.4-dev, libgnutls28-dev, libegl1-mesa-dev, libilbc-dev [!powerpc],
  libdts-dev, libbz2-dev, libmng-dev, libopenjp2-7-dev, librtmp-dev, libmpg123-dev,
  libopencore-amrnb-dev, libvdpau-dev [amd64 i386], libdvdread-dev, libdvdnav-dev,
  libiso9660-dev (>= 0.83), libvorbisidec-dev, libgsm1-dev, libdav1d-dev,
- libavcodec-dev (>= 10:5~), libmpeg2-4-dev, libvdpau-dev, libswscale-dev,
- libaom-dev, libvpl-dev [amd64]
+ libavcodec-dev (>= 10:4~), libmpeg2-4-dev, libvdpau-dev, libswscale-dev,
+ libaom-dev,
 
 Package: mplayer
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: libdvdcss, mplayer-doc, pulseaudio, jackd, nvidia-vdpau-driver
-Conflicts: mplayer-386, mplayer-586, mplayer-k6, mplayer-custom, libconfhelper-perl, mplayer-gui
-Replaces: mplayer-386, mplayer-586, mplayer-k6, mplayer-custom, mplayer-nogui
+Depends: ${shlibs:Depends}, ${misc:Depends},
+Suggests: libdvdcss, mplayer-doc, pulseaudio, jackd, nvidia-vdpau-driver,
+Conflicts: mplayer-386, mplayer-586, mplayer-k6, mplayer-custom, libconfhelper-perl, mplayer-gui,
+Replaces: mplayer-386, mplayer-586, mplayer-k6, mplayer-custom, mplayer-nogui,
 Description: Ultimate Movie Player For Linux
  It plays most mpeg, avi and asf files, supported by many native and win32
  DLL codecs. You can watch VCD, DVD and even DivX movies too. The other
@@ -45,10 +45,10 @@
 
 Package: mencoder
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: libdvdcss, mplayer-doc, nvidia-vdpau-driver
-Conflicts: mencoder-k6, mencoder-386, mencoder-586, mencoder-custom
-Replaces: mencoder-k6, mencoder-386, mencoder-586, mencoder-custom, mplayer
+Depends: ${shlibs:Depends}, ${misc:Depends},
+Suggests: libdvdcss, mplayer-doc, nvidia-vdpau-driver,
+Conflicts: mencoder-k6, mencoder-386, mencoder-586, mencoder-custom,
+Replaces: mencoder-k6, mencoder-386, mencoder-586, mencoder-custom, mplayer,
 Description: MPlayer's Movie Encoder
  A simple movie encoder, designed to encode MPlayer-playable movies
  (AVI/ASF/OGG/DVD/VCD/VOB/MPG/MOV/VIV/FLI/RM/NUV/NET) to other
@@ -59,7 +59,7 @@
 Package: mplayer-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Description: Documentation for mplayer
  This package contains the documentation Chinese, English, French, German,
  Hungarian, Italian and Polish.

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 REVISION=1.5
 
 DEBIAN_VERSION=\#define VERSION \"$(REVISION)\"
-DEBIAN_TITLE=\#define MP_TITLE \"MPlayer $(REVISION) (C) 2000-2022 MPlayer Team\\\n\"
+DEBIAN_TITLE=\#define MP_TITLE \"MPlayer $(REVISION) (C) 2000-2025 MPlayer Team\\\n\"
 
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
@@ -76,9 +76,6 @@
 # Options common to all arm64 configurations
 CONFIG_ARM64_ALL=$(CONFIG_ARCH_INDEP) --disable-win32dll --disable-gui
 
-# Options common to all mipsel configurations
-CONFIG_MIPSEL_ALL=$(CONFIG_ARCH_INDEP) --disable-win32dll --disable-gui
-
 # Options common to all powerpc configurations
 CONFIG_PPC_ALL=$(CONFIG_ARCH_INDEP) --disable-gui --disable-win32dll
 
@@ -103,8 +100,6 @@
 
 CONFIGURE_ARM64=$(CONFIG_ARMHF_ALL) --disable-ffmpeg_a
 
-CONFIGURE_MIPSEL=$(CONFIG_MIPSEL_ALL) --disable-ffmpeg_a
-
 CONFIGURE_CUSTOM=$(CONFIG_I386_ALL)
 
 %:
@@ -113,8 +108,7 @@
 override_dh_auto_configure:
 	cp debian/$(CONTROL) debian/control
 
-	ln -s ffmpeg-6-0 ffmpeg
-	-mkdir ffmpeg/ffbuild
+	ln -s ffmpeg-6-1-4 ffmpeg
 
 ifneq (,$(findstring marillat,$(DEB_BUILD_OPTIONS)))
 ifeq "$(DEB_HOST_ARCH)" "amd64"
@@ -253,3 +247,7 @@
 
 	$(MAKE) -j $(NCPUS)
 
+	$(MAKE) install prefix=$(CURDIR)/debian/mplayer/usr \
+	CONFDIR=$(CURDIR)/debian/mplayer/etc/mplayer \
+	DATADIR=$(CURDIR)/debian/mplayer/usr/share/mplayer \
+	LIBDIR=$(CURDIR)/debian/mplayer/usr/lib \

## mplayer-dmo 1.5.0+svn38542

=== debian/changelog ===
mplayer-dmo (4:1.5.0+svn38542-dmo0~bpo12+2) stable-backports; urgency=medium

  * Build with libx264-165

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 20 Mar 2025 16:50:23 +0100

mplayer-dmo (4:1.5.0+svn38542-dmo0~bpo12+1) stable-backports; urgency=medium

  * Upload to stable-backports

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 30 May 2024 15:18:08 +0200

=== debian/control ===
Source: mplayer-dmo
Section: graphics
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: http://www.mplayerhq.hu/
Rules-Requires-Root: no
Standards-Version: 4.6.2
Build-Depends-Indep: xsltproc, docbook-xml, docbook-xsl
Build-Conflicts: libesd0-dev, libggiwmh0-dev, libggi2-dev, liboss4-salsa-dev, libopenjpeg-dev
Build-Depends: debhelper-compat (= 13), libncurses5-dev, awk | gawk, libopus-dev, libavutil-dev,
 liblirc-dev, libvorbis-dev, libsdl-image1.2-dev, libsctp-dev [linux-any],
 libmad0-dev, libasound2-dev [linux-any], liblzo2-dev, libfaad-dev, libdca-dev,
 libjpeg62-turbo-dev, libaudiofile-dev, libsmbclient-dev, libfribidi-dev,
 libxv-dev, libgif-dev, libaa1-dev, quilt, vstream-client-dev (>= 1.2.1.1),
 libmp3lame-dev, libxvidcore-dev, libdv-dev, libcaca-dev, libcdio-paranoia-dev,
 liblivemedia-dev (>= 1:2013.01.15-dmo1), libfreetype-dev, libjack-jackd2-dev,
 libass-dev, libgl1-mesa-dev | libgl-dev, libopencore-amrwb-dev, libbs2b-dev,
 libxss-dev, libtheora-dev, libx264-dev (>= 3:0.146~), libglu1-mesa-dev,
 libfontconfig-dev, libaudio-dev, libmpcdec-dev, libvpx-dev (>= 1.4.0), libavformat-dev,
 libpulse-dev, libxxf86dga-dev, libjack-dev, ladspa-sdk, vstream-client-dev,
 libfaac-dev, libxinerama-dev, libtwolame-dev, libspeex-dev, libopenal-dev,
 nasm, libbluray-dev [linux-any],
 libenca-dev, liba52-0.7.4-dev, libgnutls28-dev, libegl1-mesa-dev, libilbc-dev [!powerpc],
 libdts-dev, libbz2-dev, libmng-dev, libopenjp2-7-dev, librtmp-dev, libmpg123-dev,
 libopencore-amrnb-dev, libvdpau-dev [amd64 i386], libdvdread-dev, libdvdnav-dev,
 libiso9660-dev (>= 0.83), libvorbisidec-dev, libgsm1-dev, libdav1d-dev,
 libavcodec-dev (>= 10:5~), libmpeg2-4-dev, libvdpau-dev, libswscale-dev,
 libaom-dev, libvpl-dev [amd64]

Package: mplayer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libdvdcss, mplayer-doc, pulseaudio, jackd, nvidia-vdpau-driver
Conflicts: mplayer-386, mplayer-586, mplayer-k6, mplayer-custom, libconfhelper-perl, mplayer-gui
Replaces: mplayer-386, mplayer-586, mplayer-k6, mplayer-custom, mplayer-nogui
Description: Ultimate Movie Player For Linux
 It plays most mpeg, avi and asf files, supported by many native and win32
 DLL codecs. You can watch VCD, DVD and even DivX movies too. The other
 big feature of mplayer is the wide range of supported output drivers. It
 works with X11, Xv, DGA, OpenGL, SVGAlib, fbdev, but you can use SDL (and
 this way all drivers of SDL) and some lowlevel card-specific drivers (for
 Matrox/3dfx/SiS) too! Most of them supports software or hardware scaling,
 so you can enjoy movies in fullscreen.

Package: mencoder
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libdvdcss, mplayer-doc, nvidia-vdpau-driver
Conflicts: mencoder-k6, mencoder-386, mencoder-586, mencoder-custom
Replaces: mencoder-k6, mencoder-386, mencoder-586, mencoder-custom, mplayer
Description: MPlayer's Movie Encoder
 A simple movie encoder, designed to encode MPlayer-playable movies
 (AVI/ASF/OGG/DVD/VCD/VOB/MPG/MOV/VIV/FLI/RM/NUV/NET) to other
 MPlayer-playable formats. It can encode with various codecs, like DivX4 (1
 or 2 passes), libavcodec, PCM/MP3/VBRMP3 audio. Also has stream copying and
 video resizing abilities.

Package: mplayer-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Documentation for mplayer
 This package contains the documentation Chinese, English, French, German,
 Hungarian, Italian and Polish.

=== debian/rules ===
--- 
+++ 
@@ -15,10 +15,10 @@
 # Don't remove, otherwise mplayer/mencoder doesn't build.
 CFLAGS=
 
-REVISION=1.5
+REVISION="1.5 r38542"
 
 DEBIAN_VERSION=\#define VERSION \"$(REVISION)\"
-DEBIAN_TITLE=\#define MP_TITLE \"MPlayer $(REVISION) (C) 2000-2025 MPlayer Team\\\n\"
+DEBIAN_TITLE=\#define MP_TITLE \"MPlayer $(REVISION) (C) 2000-2024 MPlayer Team\\\n\"
 
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
@@ -41,7 +41,6 @@
 CONFIG_CONTROL=--enable-joystick
 CONFIG_AUDIO=--enable-libopencore_amrnb --enable-libopencore_amrwb \
 	--disable-openal --disable-decoder=amrnb
-CONFIG_XVMC=--enable-xvmc --with-xvmclib=XvMCW
 
 CONFIG_MISC=--language=all --enable-menu \
 	--enable-radio --enable-radio-capture --disable-sndio \
@@ -59,7 +58,7 @@
 
 # Options common to all architectures
 CONFIG_ARCH_INDEP=$(CONFIG_DIRS) $(CONFIG_MGA) $(CONFIG_CONTROL) \
-	$(CONFIG_AUDIO) $(CONFIG_MISC) $(CONFIG_XVMC) --disable-png --disable-directfb
+	$(CONFIG_AUDIO) $(CONFIG_MISC) --disable-png --disable-directfb
 
 # Options common to all amd64 configurations
 CONFIG_AMD64_ALL=$(CONFIG_ARCH_INDEP) $(CONFIG_3DFX) $(CONFIG_ZR)
@@ -75,6 +74,9 @@
 
 # Options common to all arm64 configurations
 CONFIG_ARM64_ALL=$(CONFIG_ARCH_INDEP) --disable-win32dll --disable-gui
+
+# Options common to all mipsel configurations
+CONFIG_MIPSEL_ALL=$(CONFIG_ARCH_INDEP) --disable-win32dll --disable-gui
 
 # Options common to all powerpc configurations
 CONFIG_PPC_ALL=$(CONFIG_ARCH_INDEP) --disable-gui --disable-win32dll
@@ -100,6 +102,8 @@
 
 CONFIGURE_ARM64=$(CONFIG_ARMHF_ALL) --disable-ffmpeg_a
 
+CONFIGURE_MIPSEL=$(CONFIG_MIPSEL_ALL) --disable-ffmpeg_a
+
 CONFIGURE_CUSTOM=$(CONFIG_I386_ALL)
 
 %:
@@ -108,7 +112,8 @@
 override_dh_auto_configure:
 	cp debian/$(CONTROL) debian/control
 
-	ln -s ffmpeg-6-1-4 ffmpeg
+	ln -s ffmpeg-6-0 ffmpeg
+	-mkdir ffmpeg/ffbuild
 
 ifneq (,$(findstring marillat,$(DEB_BUILD_OPTIONS)))
 ifeq "$(DEB_HOST_ARCH)" "amd64"
@@ -248,6 +253,3 @@
 	$(MAKE) -j $(NCPUS)
 
 	$(MAKE) install prefix=$(CURDIR)/debian/mplayer/usr \
-	CONFDIR=$(CURDIR)/debian/mplayer/etc/mplayer \
-	DATADIR=$(CURDIR)/debian/mplayer/usr/share/mplayer \
-	LIBDIR=$(CURDIR)/debian/mplayer/usr/lib \
